Package org.oasis_open.docs.ns.xri.xrd_1

# Class XRDSType

java.lang.Object
org.oasis_open.docs.ns.xri.xrd_1.XRDSType

public class XRDSType extends Object

Java class for XRDSType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="XRDSType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://docs.oasis-open.org/ns/xri/xrd-1.0}XRD" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="ref" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `ref`
  `protected List<XRDType>`
  `xrd`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XRDSType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRef()`
  Gets the value of the ref property.
  `List<XRDType>`
  `getXRD()`
  Gets the value of the xrd property.
  `void`
  `setRef(String value)`
  Sets the value of the ref property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### xrd

    protected List<XRDType> xrd

  - ### ref

    protected String ref

- ## Constructor Details

  - ### XRDSType

    public XRDSType()

- ## Method Details

  - ### getXRD

    public List<XRDType> getXRD()
    Gets the value of the xrd property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the xrd property.

    For example, to add a new item, do as follows:

            getXRD().add(newItem);

    Objects of the following type(s) are allowed in the list `XRDType`

  - ### getRef

    public String getRef()
    Gets the value of the ref property.
    Returns:
      possible object is `String`

  - ### setRef

    public void setRef(String value)
    Sets the value of the ref property.
    Parameters:
      `value` - allowed object is `String`